use super::{Error, Context};
use crate::{config::CORE_CFG, db::user::set_notify};

#[poise::command(slash_command, prefix_command, dm_only)]
pub async fn notify(
    ctx: Context<'_>,
    #[description = "Turn notifications on or off"] toggle: bool,
) -> Result<(), Error> {
    let mut response = format!("Notifications are now {}", toggle);
    
    if CORE_CFG.get().unwrap().hash_ids {
        response = "Notifications are disabled on this guild.".to_string();
    } else {
        set_notify(&ctx.author().id.as_u64(), toggle);
    }

    ctx.say(response).await?;
    Ok(())
}